KRES::ManagerObserver< T > Class Template Referenceabstract

`#include <manager.h>`

## Public Member Functions

virtual void | resourceAdded (T *resource)=0
virtual void | resourceModified (T *resource)=0
virtual void | resourceDeleted (T *resource)=0

## Detailed Description

### template<class T>
class KRES::ManagerObserver< T >

Observer class for Manager class.

For getting notified about changes of Resources managed by a Manager object implement this Observer interface and add an object of this implementation to the Manager using addObserver(). The resourceAdded(), resourceModified() and resourceDeleted() functions of your implementation will be called whenever resources managed by the Manager object are added, modified or deleted.

Definition at line 47 of file manager.h.

The documentation for this class was generated from the following file:

- manager.h

KDE Home | KDE Accessibility Home | Description of Access Keys